<?php

class actionTopicSetRead extends cmsAction {

    public function run($id=false){

    	if (!$id) { cmsCore::error404(); }

    	$category = $this->model->getForumCategory($id);
    	if (!$category) { cmsCore::error404(); }
		
    	$user = cmsUser::getInstance();
    	if (!$user->id) { cmsUser::goLogin(); }

    	$track_list = $this->model->getTrackList($user->id, $id);

    	if (empty($track_list)) { 
    		$this->redirectBack();
    	}

		$this->model->setReadCategoryTrack($id, $user->id, $track_list['thread']);

		cmsUser::addSessionMessage(LANG_TOPIC_TRACKS_SET_READ, 'success' );

		$this->redirectBack();

    }

}
