<?php

class actionTopicSubscriber extends cmsAction {

    public function run($type, $id){
		
    	$user = cmsUser::getInstance();
    	if (!$user->id) { cmsUser::goLogin(); }

    	if ($type == 1) { //Подписка на категорию

    		$category = $this->model->getForumCategory($id);
    		if (!$category) { cmsCore::error404(); }

    		$is_subs = $this->model->isUserSubsByCategoryId($user->id, $id);

    		if ($is_subs) { // Если подписан
    			$this->model->deleteUserSubsByCategoryId($user->id, $id);
    		} else { //Если не подписан
    			$this->model->insertUserSubsByCategoryId($user->id, $id);
    		}

    	} elseif ($type == 2) { //Подписка на тему

    		$thread = $this->model->getForumThreadById($id);
    		if (!$thread || !empty($thread['thread_id'])) { cmsCore::error404(); }

    		$is_subs = $this->model->isUserSubsByThreadId($user->id, $id);

    		if ($is_subs) { // Если подписан
    			$this->model->deleteUserSubsByThreadId($user->id, $id);
    		} else { //Если не подписан
    			$this->model->insertUserSubsByThreadId($user->id, $id);
    		}

    	} else {

    		cmsCore::error404();

    	}

		cmsUser::addSessionMessage( $is_subs ? LANG_TOPIC_SUBS_OFF : LANG_TOPIC_SUBS_ON, 'success' );

		$this->redirectBack();

    }

}
