<?php

function grid_category($controller){

    $options = array(
        'is_sortable' => false,
        'order_by' => 'ordering',
        'order_to' => 'asc',
        'is_pagination' => false,
        'is_filter' => false,
        'is_draggable' => true,
        'show_id' => false
    );

    $columns = array(
    	'id' => array(
    		'title' => LANG_TOPIC_ID
    	),
    	'threads' => array(
            'title' => '',
			'flag' => true,
			'width' => 10
        ),
		'title' => array(
            'title' => LANG_TOPIC_TITLE,
            'href' => href_to('admin', 'controllers', array('edit', 'topic', 'category', '{id}'))
        ),
        'slug' => array(
            'title' => LANG_TOPIC_URL,
            'href' => href_to('topic', '{slug}')
        ),
        'topic_counter' => array(
    		'title' => LANG_TOPIC_POSTS
    	),
    	'post_counter' => array(
    		'title' => LANG_TOPIC_MESS
    	),
    );

    $actions = array(
        array(
            'title' => LANG_CONFIG,
            'class' => 'config',
            'href' => href_to('admin', 'controllers', array('edit', 'topic', 'category_edit', '{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'confirm' => LANG_TOPIC_DELETE_CAT_ASK,
            'href' => href_to('admin', 'controllers', array('edit', 'topic', 'category_delete', '{id}')),
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}
