<?php

class onTopicThreadBeforeView extends cmsAction {

    public function run($item){
		
		if (isset($this->options['hash_tag'])) {
			$item['content'] = cmsCore::getController('search')->parseHashTag($item['content']);
		}

		if (isset($this->options['html_filter'])) {
			$item['content'] = cmsEventsManager::hook('html_filter', array('text'=>$item['content']));
		}

		$ktpl = cmsCore::isControllerExists('ktpl') ? cmsCore::getController('ktpl') : false;
		if ($ktpl && !empty($ktpl->options['filter_fields']) && in_array('topic_content', explode(',', str_replace(' ', '', $ktpl->options['filter_fields'])))) {
			$item['content'] = $ktpl->text_filter($item['content']);
		}

		if (isset($item['user_signature'])) {
			$item['user_signature'] = cmsCore::getController('search')->parseHashTag($item['user_signature']);
			$item['user_signature'] = cmsEventsManager::hook('html_filter', array('text'=>$item['user_signature']));
		}

		return $item;

    }

}
