<?php

class widgetTopicPosts extends cmsWidget {

    public function run(){

    	cmsCore::loadControllerLanguage('topic');

        $limit = $this->getOption('limit', 10);
		$category = $this->getOption('category', false);

        $model = cmsCore::getModel('topic');
		
		$model->limit($limit);
		
		$model->orderBy('date_pub', 'desc');

		if($category){
			$model->filterEqual('category_id', $category);
		}

    	$items = $model->getAllPosts();

    	if (!$items) { return false; }

		return array(
			'items' => $items
        );

    }

}
