<?php

class widgetTopicStat extends cmsWidget {

    public function run(){

        cmsCore::loadControllerLanguage('topic');

    	$model = cmsCore::getModel('topic');

    	$item['forum_count'] = $model->filterEqual('parent_id', 0)->getCategoriesCount();
    	$model->resetFilters();
    	$item['category_count'] = $model->filterGtEqual('parent_id', 1)->getCategoriesCount();

    	$model->resetFilters();
		$item['threads_count'] = $model->getAllThreadsCount();
		$model->resetFilters();
		$item['post_count'] = $model->getAllPostCount();

		$model->resetFilters();
		$item['threads_today_count'] = $model->filterTimestampGt('date_pub', strtotime(date('Y-m-d 00:00:00')))->getAllThreadsCount();
		$model->resetFilters();
		$item['post_today_count'] = $model->filterTimestampGt('date_pub', strtotime(date('Y-m-d 00:00:00')))->getAllPostCount();

        return array(
			'item' => $item
        );

    }

}
