<?php $user = cmsUser::getInstance(); ?>

<div class="categories_list_items level_<?php echo $category ? $categories[$category['id']]['level'] : 'main'; ?>">

<?php foreach ($categories as $key => $value) { ?>

	<?php if ( ( $category && $categories[$category['id']]['level'] !== 0 && $category['id'] == $value['parent_id'] ) || ($category && $categories[$category['id']]['level'] === 0) || ( !$category && $value['level'] === 0 ) ) { ?>

		<?php if ($category && $category['id'] != $value['id'] && $categories[$category['id']]['level'] == 0) { continue; } ?>

			<?php if (!$category || $categories[$category['id']]['level'] != 0) { ?>

			<div class="main_title forum_<?php echo $value['id']; ?>">

				<div class="icon"<?php if(!empty($value['icon'])){echo ' style="background-image:url('.html_image_src($value['icon'],'small',true).');"';} ?>>
					<?php if (!empty($track_list)) { ?>
						<?php if (in_array($value['id'], $track_list['category'])) { ?>
							<div class="is_new_icon" title="<?php echo LANG_TOPIC_NO_READ; ?>"></div>
						<?php } ?>
					<?php } ?>
				</div>

				<?php if(!empty($value['last_message'])) { ?>
					<?php echo $this->renderChild('last_message', array('id' => $value['last_message'])); ?>
				<?php } ?>

				<h2>

					<a href="<?php echo $this->href_to($value['slug']); ?>"<?php if (!empty($value['title_color'])) { ?> style="color:<?php echo $value['title_color']; ?>;"<?php } ?><?php if(!$user->isInGroups(cmsModel::yamlToArray($value['groups_view']))){ ?> class="is_lock"<?php } ?>>
						<?php echo $value['title']; ?>
					</a>

					<?php if (isset($value['threads'])) { ?>
						<div>
							<?php echo html_spellcount($value['topic_counter'], $this->controller->options['thread_names']); ?><?php if ($value['post_counter']) { echo ' и ' . html_spellcount($value['post_counter'], $this->controller->options['post_names']); } ?>
						</div>
					<?php } ?>

				</h2>

				<?php if (!empty($value['content'])) { ?>
					<div class="item_description">
						<?php echo $value['content']; ?>
					</div>
				<?php } ?>

				<div class="clear"></div>

			</div>

			<?php } ?>

		<?php if(!empty($value['html_block_after_1_level'])) { ?>
			<div><?php echo $value['html_block_after_1_level']; ?></div>
		<?php } ?>

		<?php foreach ($categories as $key2 => $value2) { ?>
			
			<?php if ($value2['parent_id'] == $key) { ?>

				<div class="list_item forum_<?php echo $value2['id']; ?>">

					<div class="icon"<?php if(!empty($value2['icon'])){echo ' style="background-image:url('.html_image_src($value2['icon'],'small',true).');"';} ?>>
						<?php if (!empty($track_list)) { ?>
							<?php if (in_array($value2['id'], $track_list['category'])) { ?>
								<div class="is_new_icon" title="<?php echo LANG_TOPIC_NO_READ; ?>"></div>
							<?php } ?>
						<?php } ?>
					</div>

					<?php if(!empty($value2['last_message'])) { ?>
						<?php echo $this->renderChild('last_message', array('id' => $value2['last_message'])); ?>
					<?php } ?>

					<h3>

						<a href="<?php echo $this->href_to($value2['slug']); ?>"<?php if (!empty($value2['title_color'])) { ?> style="color:<?php echo $value2['title_color']; ?>;"<?php } ?><?php if(!$user->isInGroups(cmsModel::yamlToArray($value2['groups_view']))){ ?> class="is_lock"<?php } ?>>
							<?php echo $value2['title']; ?>
						</a>

						<?php if (isset($value2['threads'])) { ?>
							<div>
								<?php echo html_spellcount($value2['topic_counter'], $this->controller->options['thread_names']); ?><?php if ($value2['post_counter']) { echo ' '.LANG_TOPIC_AND.' ' . html_spellcount($value2['post_counter'], $this->controller->options['post_names']); } ?>
							</div>
						<?php } ?>

					</h3>

					<?php if (!empty($value2['content'])) { ?>
						<div class="item_description">
							<?php echo $value2['content']; ?>
						</div>
					<?php } ?>

					<div class="sub_cat_list">
						<?php foreach ($categories as $key3 => $value3) { ?>
							<?php if ($value3['parent_id'] == $key2) { ?>

								<?php $is_new = false; ?>

								<?php if (!empty($track_list)) { ?>
									<?php if (in_array($value3['id'], $track_list['category'])) { ?>
										<?php $is_new = true; ?>
									<?php } ?>
								<?php } ?>

								<div <?php if ($is_new) { echo 'title="'.LANG_TOPIC_NO_READ.'" '; } ?>class="item_sub_cats forum_<?php echo $value2['id']; ?>"<?php if ($is_new) { echo 'style="background-image:url('.href_to('static','topic','plus.png').');"'; } elseif (!empty($value3['icon'])) { echo ' style="background-image:url('.html_image_src($value3['icon'],'micro',true).');"'; } ?>>

									<a href="<?php echo $this->href_to($value3['slug']); ?>"<?php if (!empty($value3['title_color'])) { ?> style="color:<?php echo $value3['title_color']; ?>;"<?php } ?><?php if(!$user->isInGroups(cmsModel::yamlToArray($value3['groups_view']))){ ?> class="is_lock"<?php } ?>>
										<?php echo $value3['title']; ?>
									</a>

									<?php if (isset($value3['threads'])) { ?>
										<span title="<?php echo html_spellcount($value3['topic_counter'], $this->controller->options['thread_names']); ?> / <?php echo html_spellcount($value3['post_counter'], $this->controller->options['post_names']); ?>"><?php echo $value3['topic_counter']; ?>/<?php echo $value3['post_counter']; ?></span>
									<?php } ?>

								</div>

								<?php $is_new = false; ?>

							<?php } ?>
						<?php } ?>
					</div>

					<div class="clear"></div>

				</div>

				<?php if(!empty($value2['html_block_after_2_level'])) { ?>
					<div><?php echo $value2['html_block_after_2_level']; ?></div>
				<?php } ?>

			<?php } ?>

		<?php } ?>

	<?php } ?>

<?php } ?>

</div>