var icms = icms || {};

icms.topic = (function ($) {
	
	this.onDocumentReady = function(){

		$('.thread_item .content img').click(function(){
			icms.modal.open($(this).attr('src'));
		});
		
    }
	
	this.addQuote = function addQuote(obj) {
        
		author = $(obj).attr('data-rel');
		id = $(obj).attr('data-mid');
		var seltext = '';
        if (window.getSelection) {
            seltext = window.getSelection().toString().trim();
        } else if (document.getSelection) {
            seltext = document.getSelection().toString().trim();
        } else if (document.selection) {
            seltext = document.selection.createRange().text.trim();
        }
        if(seltext=='') seltext = $('.content_'+id).html().trim();
        if (seltext){
        	var message = $('textarea');
            quote = '<blockquote><b>Цитата: '+author+'</b><hr />' + seltext + '</blockquote>\r';
			msg = message.val() + quote;
			msg = msg.split('<br>').join('\r');
            $('.redactor_editor').html(msg+'<br />');
            $('.markItUpEditor').val(msg);
			$('iframe#idContentle_content').contents().find('body').append(quote+'<br />');
			$('.markItUpEditor').focus();
            icms.topic.viewForm();
		} else {
			alert('Сообщение не найдено!')
		}
        return false;
    }

    this.addReport = function addReport(obj) {
        
        var id = $(obj).attr('data-mid');
        var url = $(obj).attr('data-url');
        var text = prompt( 'Введите причину вашей жалобы');
        
        if(!text) return false;

        icms.topic.sendReport(id, url, text);

        return false;
    }

    this.showLink = function showLink(obj) {

    	var link = $(obj).attr('href');

    	prompt( 'Ссылка', link );
	  	return false;

    }

    /*/////////////////////////////////////////////*/

    this.getCaretPos = function(obj) {
		obj.focus();
		if (document.selection) { // IE
    		var sel = document.selection.createRange();
    		var clone = sel.duplicate();
    		sel.collapse(true);
    		clone.moveToElementText(obj);
    		clone.setEndPoint('EndToEnd', sel);
    		return clone.text.length;
  		} else if (obj.selectionStart!==false) {
  			return obj.selectionStart; // Gecko
  		} else {
  			return 0;
  		}
	}

    /*/////////////////////////////////////////////*/

    this.sendReport = function(id, url, text) {

        $.post(url, {
            id: id,
            text: text
        }, function(result){
            alert('Спасибо. Ваше сообщение отправлено модератору.');
        }, "json");

    }

    /*/////////////////////////////////////////////*/

    this.showCat = function(obj) {

        var widget_id = $(obj).parent().attr('data-widget-id');
        var parent_id = $(obj).parent().attr('data-parent-id');
        var id = $(obj).parent().attr('data-id');
        var level = $(obj).parent().attr('data-level');

        var parents = $('.cat_tree_'+widget_id+' > .parent_id_'+id);

        if(parents.css('display') == 'none'){
            parents.show('slow');
        } else {
        	icms.topic.hideCats(widget_id, id);
        	parents.hide('slow');
        }

    }

    /*/////////////////////////////////////////////*/

    this.getWidgetCurrentCat = function(widget_id, current, parent) {

        $('.cat_tree_'+widget_id+' .cat_'+current).show('fast');
        $('.cat_tree_'+widget_id+' .cat_'+parent).show('fast');
        $('.cat_tree_'+widget_id+' .parent_id_'+parent).show('fast');
        $('.cat_tree_'+widget_id+' .parent_id_'+current).show('fast');

        var parent = $('.cat_tree_'+widget_id+' .cat_'+current).attr('data-parent-id');

        if (parent != '0') {
            var parents = $('.cat_tree_'+widget_id+' .cat_'+parent).attr('data-parent-id');
            icms.topic.getWidgetCurrentCat(widget_id, parent, parents);
        }

    }

    /*/////////////////////////////////////////////*/

    this.hideCats = function(widget_id, id) {

    	var id = $('.cat_tree_'+widget_id+' .parent_id_'+id).attr('data-id');
    	var level = $('.cat_tree_'+widget_id+' .cat_'+id).attr('data-level');

		$('.cat_tree_'+widget_id+' .parent_id_'+id).hide('slow');

		if (id) {
			icms.topic.hideCats(widget_id, id);
			$('.cat_tree_'+widget_id+' [data-level='+ (parseInt(level)+1) +']').hide('slow');
		}

    }

    /*/////////////////////////////////////////////*/

    this.viewForm = function() {

        $('.topic_form_btn').hide('slow');
        $('.topic_form').show('slow');
        $("html, body").animate({ scrollTop: $('.topic_form').offset().top-25 + "px" }, { duration: 500 });

    }

    /*/////////////////////////////////////////////*/

	return this;

}).call(icms.topic || {},jQuery);