<?php

function install_package(){

    $core = cmsCore::getInstance();

    if(!isFieldExists('users', 'fsign')){
        $core->db->query("ALTER TABLE `{#}users` ADD `fsign` VARCHAR(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL;");
    }

    if(!isFieldExists('users', 'topic_thread_counter')){
        $core->db->query("ALTER TABLE `{#}users` ADD `topic_thread_counter` INT(11) UNSIGNED NOT NULL DEFAULT '0';");
    }

    if(!isFieldExists('users', 'topic_post_counter')){
        $core->db->query("ALTER TABLE `{#}users` ADD `topic_post_counter` INT(11) UNSIGNED NOT NULL DEFAULT '0';");
    }

    return true;

}

function isFieldExists($table_name, $field) {
    
    $table_fields = getTableFields($table_name);
    
    return in_array($field, $table_fields, true);

}

function getTableFields($table) {
    
    $db = cmsDatabase::getInstance();
    $fields = array();
    $result = $db->query("SHOW COLUMNS FROM `{#}{$table}`");
    
    while($data = $db->fetchAssoc($result)){
        $fields[] = $data['Field'];
    }
    
    return $fields;

}