<?php

class backendTopic extends cmsBackend {
	
	public $useDefaultOptionsAction = true;
	public $useDefaultPermissionsAction = true;
	
	public function actionIndex(){
		
		$this->redirectToAction('category');
		
	}
	
	public function getBackendMenu() {
		
		return array(
			array(
				'title' => LANG_TOPIC_DEFAULT_SETTINGS,
				'url' => href_to($this->root_url, 'options')
			),
			array(
				'title' => LANG_TOPIC_CATEGORIES,
				'url' => href_to($this->root_url, 'category')
			),
			array(
				'title' => LANG_TOPIC_RANKS,
				'url' => href_to($this->root_url, 'rank')
			),
			array(
				'title' => LANG_TOPIC_MEDALS,
				'url' => href_to($this->root_url, 'medal')
			),
			array(
				'title' => LANG_TOPIC_FIELDS,
				'url' => href_to($this->root_url, 'fields')
			),
			array(
				'title' => LANG_PERMISSIONS,
				'url' => href_to($this->root_url, 'perms', 'topic')
			)
		);
		
	}

	public function validate_unique_field($value){
        return !$this->cms_core->db->isFieldExists('topic_threads', $value);
    }
	
}
