<?php

class formTopicModeration extends cmsForm {
	
	public function init(){

		$options = cmsCore::getController('topic')->options;

		return array(
		
			'mod_text' => array(
				'type' => 'fieldset',
				'title' => 'Отметка модератора',
				'childs' => array(

					new fieldHtml('mod_text', array(
						'title' => LANG_TOPIC_MOD_PRIM,
						'options' => array(
							'editor' => $options['redactor'],
						),
					)),
 					
				)
				
			),

			'mod_set' => array(
				'type' => 'fieldset',
				'title' => 'Опции модератора',
				'childs' => array(
				
					new fieldCheckbox('fixed_top', array(
						'title' => LANG_TOPIC_FIXED_THREAD
					)),
					
					new fieldCheckbox('is_vip', array(
						'title' => LANG_TOPIC_VIPED_THREAD
					)),

					new fieldColor('title_color', array(
						'title' => LANG_TOPIC_EDIT_COLOR_TITLE_THREAD
					)),

					new fieldList('category_id', array(
                        'title' => LANG_TOPIC_THREAD_CAT,
                        'generator' => function(){
							$items = array();
                            $topic = cmsCore::getController('topic');
							$tree = $topic->getForumCategoriesList();
							foreach($tree as $item){
                                $items[$item['id']] = str_repeat('- ', $item['level']).' '.$item['title'];
                            }
                            return $items;
                        }
                    )),
 					
				)
				
			),
			
		);
		
	}
	
}
