<?php

class formWidgetTopicPostsOptions extends cmsForm {

    public function init() {

        cmsCore::loadControllerLanguage('topic');
		
		return array(
			
            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(
				
					new fieldList('options:category', array(
                        'title' => LANG_TOPIC_PARENT_CATEGORY,
						'hint' => LANG_TOPIC_PARENT_CATEGORY_HINT,
                        'generator' => function(){

                            $items = array();

                            $topic = cmsCore::getController('topic');
							$tree = $topic->getForumCategoriesList();
							
							$items[] = LANG_TOPIC_ALL_CATEGORIES;

                            if ($tree){
								
                                foreach($tree as $item){
									
									$items[$item['id']] = str_repeat('- ', $item['level']).' '.$item['title'];

                                }
								
                            }

                            return $items;

                        }
                    )),

                    new fieldNumber('options:limit', array(
                        'title' => LANG_TOPIC_ITEMS_COUNT,
                        'default' => 10
                    )),

                )
            ),

        );

    }

}
